/*
    ServicesCtl is a programm to start and stop Services from the TrayBar.
    Copyright (C) 2007  Olaf Groeger

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

    For any feedback contact me at servicesctl@olaf-groeger.de.
*/
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ServicesCtl
{
    /// <summary>
    /// A Form for getting Login data (name, password, domain)
    /// </summary>
    public partial class LoginForm : Form
    {
        /// <summary>
        /// Creates a new instance.
        /// </summary>
        public LoginForm()
        {
            InitializeComponent();
        }

        /// <summary>
        /// The LoginName, it is backed up in the settings (AdminName).
        /// </summary>
        public string LoginName
        {
            get
            {
                return ServiceControl.Default.AdminName;
            }
            set
            {
                ServiceControl.Default.AdminName = value;
                ServiceControl.Default.Save();
            }
        }
        /// <summary>
        /// The LoginDomain, it is backed up in the settings (AdminDomain).
        /// </summary>
        public string LoginDomain
        {
            get
            {
                return ServiceControl.Default.AdminDomain;
            }
            set
            {
                ServiceControl.Default.AdminDomain = value;
                ServiceControl.Default.Save();
            }
        }

        /// <summary>
        /// the LoginPassword. It is never backed up in the settings.
        /// </summary>
        public string LoginPassword
        {
            get
            {
                return this.textPassword.Text;
            }
            set
            {
                this.textPassword.Text = value;
            }
        }

    }
}