/*
    ServicesCtl is a programm to start and stop Services from the TrayBar.
    Copyright (C) 2007  Olaf Groeger

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

    For any feedback contact me at servicesctl@olaf-groeger.de.
*/
using System;
using System.Collections.Generic;
using System.Windows.Forms;

using log4net;
using log4net.Config;

namespace ServicesCtl
{
    /// <summary>
    /// The Application.
    /// </summary>
    static class Program
    {
        /// <summary>
        /// A private Logger.
        /// </summary>
        private static readonly ILog log = LogManager.GetLogger(typeof(Program));
        
        /// <summary>
        /// The Main routine.
        /// </summary>
        /// <remarks>This method configures the Logger and creates a Controller. The Controller handles all UI Stuff.</remarks>
        [STAThread]
        static void Main()
        {
            // Configure the Logger.
            XmlConfigurator.Configure(new System.IO.FileInfo("log4net.config.xml"));

            log.Info("Application started");

            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            // create a Controller (creates the NotifyIcon)
            new Controller();
            // run :-)
            Application.Run();

            log.Info("Application finished");
        }
    }
}
